Bug 1413338 - xmonad session doesn't support GNOME keyring
Summary: xmonad session doesn't support GNOME keyring
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xmonad
Version: 25
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 03:37 UTC by Simon Guest
Modified: 2017-12-12 10:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:03:45 UTC
Type: Bug


Attachments (Terms of Use)
xmonad-start script which starts GNOME keyring (1.42 KB, application/x-shellscript)
2017-01-16 04:49 UTC, Simon Guest
no flags Details

Description Simon Guest 2017-01-15 03:37:15 UTC
Description of problem:

No support for GNOME keyring, which would need to be in xmonad-start script.

Version-Release number of selected component (if applicable):

0.12-2.fc25


How reproducible:

Login using the xmonad session from xmonad-basic package.  Observe that e.g. ssh keys are not cached.

Steps to Reproduce:

1. Login with xmonad session from gdm
2. ssh <somewhere>


Actual results:

have to type ssh passphrase, aarggh!  :-)

Expected results:

ssh passphrase is available in GNOME keyring via the GNOME keyring daemon

Additional info:

I currently have to use a user script (i.e. ~/.xsession) to do this, rather than the xmonad session from xmonad-basic package.  It would be better if /usr/bin/xmonad-start contained the following lines (given that Fedora is a GNOME-based distro, so GNOME based solutions such as keyring are preferable to e.g. pam_ssh (which is a bit troublesome, actually)):

# for GNOME keyring, see https://blog.san-ss.com.ar/2011/03/using-gnome-keyring-in-xmonad
eval $(gnome-keyring-daemon --start)
export GNOME_KEYRING_SOCKET
export GNOME_KEYRING_PID

Comment 1 Jens Petersen 2017-01-16 03:18:07 UTC
Thanks for the suggest.

Do you want to propose a patch?
It should probably be conditional on the presence of gnome-keying.

Comment 2 Simon Guest 2017-01-16 04:49:18 UTC
Created attachment 1241087 [details]
xmonad-start script which starts GNOME keyring

Here's a copy of the xmonad-start script from the RPM, amended to start GNOME keyring conditionally if it exists.

Because the script is not from upstream, but is part of the Fedora packaging, no patch is required, simply replace the xmonad-start script from the source RPM with this one.

$ diff safe/xmonad-start /usr/bin/xmonad-start 
37a38,43
> if [ -x /bin/gnome-keyring-daemon ]; then
>     eval $(gnome-keyring-daemon --start)
>     export GNOME_KEYRING_SOCKET
>     export GNOME_KEYRING_PID
> fi
>

Comment 3 Jens Petersen 2017-01-17 04:03:50 UTC
Thanks Simon, I merged your change into the rawhide branch.

Comment 4 Simon Guest 2017-01-17 06:52:49 UTC
Hi Jens,

Thanks!

cheers,
Simon

Comment 5 David Gibson 2017-07-21 04:40:39 UTC
Unfortunately this fix makes things much worse if you're not using gnome-keyring (e.g. using the openssh ssh-agent, because gnome-keyring *still* doesn't support non-RSA keys).

It starts gnome-keyring - and more importantly, points SSH_AUTH_SOCK at it, even if you attempt to disable gnome-keyring's ssh agent component in the configuration.

Comment 6 Fedora End Of Life 2017-11-16 19:51:15 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:03:45 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.